{% extends "base.html" %}
{% block content %}

<script src="/static/dataTables/jquery.dataTables.min.js"></script>
<script src="/static/dataTables/dataTables.bootstrap.min.js"></script>
<link rel="stylesheet" type="text/css" href="/static/dataTables/dataTables.bootstrap.min.css">

<div class="container">
    <div class="row col-md-2"></div>
    <div class="row col-md-8">
        <div style="font-size:1.5em">
            <input class="btn-primary btn btn-sm" type="button" value="{%trans%}Return to form{%endtrans%}" onClick="location.href='/forms/view/{{ form._id }}'">
            {{ form.slug }}
            <hr />
            {%trans%}Log{%endtrans%}
            <p>&nbsp;</p>
        </div>
        <table id="log" style="display:none" class="table table-striped table-condensed">
        <thead>
            <tr>
                <th>{%trans%}Time{%endtrans%}</th>
                <th>{%trans%}User{%endtrans%}</th>
                <th>{%trans%}Message{%endtrans%}</th>
            </tr>
        </thead>
        {% for entry in form.data.log %}
        <tr>
            <td>{{entry[0]}}</td>
            <td>{{entry[1]}}</td>
            <td>{{entry[2]}}</td>
        </tr>
        {% endfor %}
        </table>
    </div>
    <div class="row col-md-2"></div>
</div>

<script>
$(document).ready(function() {
    $('#log').DataTable({
        "language": {
            "url": "/static/dataTables-languages/{{g.current_user.language}}.js"
        },
        "initComplete": function(settings, json) {
            $("#log").show();
        },
        "order": [[ 0, 'desc' ]]
    });
} );
</script>
  
{% endblock %}
